trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: March 2016

Re: Re: VCardConverter parseVCard problem

From: deloptes <deloptes@...>
Date: Thu, 17 Mar 2016 20:08:21 +0100
Slávek Banko wrote:

> On Thursday 17 of March 2016 10:43:38 deloptes wrote:
>> Michele Calgaro wrote:
>> > On 03/17/2016 02:09 AM, deloptes wrote:
>> >> Hi
>> >> I filed a bug 2613
>> >> (https://bugs.trinitydesktop.org/show_bug.cgi?id=2613)
>> >>
>> >> This is really blocking me ATM, hence the high prio I set. How does
>> >> the fix cycle looks like from time line perspective?
>> >>
>> >> I'm considering downloading the source and patching myself.
>> >>
>> >> thanks in advance
>> >
>> > Hi Deloptes,
>> > I will fix this (including support for Z format) during the weekend or
>> > next week at most. In terms of fix cycle, it depends on what distro and
>> > repository you use. If you are on Debian/Ubuntu and use Slavek's
>> > preliminary stable build, you can expect the fix to be available right
>> > after the fix (just the time to recompile on Slavek's builder). If you
>> > are on Debian/Ubuntu and use the nighly builds, same thing. If you use
>> > other PPA or other distros, you will probably get the fix with the next
>> > R14.0.4 release (probably 2-3 months later). If you need the fix
>> > urgently, you will probably have to download the fix from GIT and then
>> > rebuild locally and then use that until the next maintenance release.
>> >
>> > Cheers
>> >   Michele
>>
>> I downloaded tdelibs - r14.0.3.tar.gz  and tde-packaging - r14.0.3.tar.gz
>>
>> but when I try cmake I get following error. Where are those macros
>> defined?
>>
>> thanks
>>
>> -- Found PkgConfig: /usr/bin/pkg-config (found version "0.28")
>> CMake Error at CMakeLists.txt:39 (include):
>>   include could not find load file:
>>
>>     TDEMacros
>>
>>
>> CMake Error at CMakeLists.txt:40 (include):
>>   include could not find load file:
>>
>>     TDESetupPaths
>>
>>
>> CMake Error at CMakeLists.txt:45 (tde_setup_paths):
>>   Unknown CMake command "tde_setup_paths".
>>
>>
>> -- Configuring incomplete, errors occurred!
>>
>>
> 
> Tarballs generated from the git unfortunately are not sufficient because
> they contain submodules - usually admin and cmake. Either you have to
> download and add these submodules, or you can use the "orig.tar.xz" from
> debian / ubuntu repository - for example:
> 
>
http://mirror.ppa.trinitydesktop.org/trinity/trinity-r14.0.0/ubuntu/pool/main/t/tdelibs-trinity/tdelibs-trinity_14.0.3.orig.tar.xz
>
http://mirror.xcer.cz/trinity-sb/pool/main-r14/t/tdelibs-trinity/tdelibs-trinity_14.0.4~pre1.orig.tar.xz
> 

Thanks Slavek, I think I owe you one or two beers already.

I'll give it a try right away.

regards